Subject: Re: Patching under cygwin32 and W95
From: [email-masked] (Earnie Boyd)

28 Apr 1998 22:17:24 -0700
Sender: [email-masked]
Message-ID: <[email-masked]>
Reply-To: [email-masked]
To: David Bush <[email-masked]>, [email-masked]
Cc: [email-masked]
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Hi David,

Are you positive that you are using the patch binary from the CDK? 
While in bash if you do "type patch" what is the result?

I have been built the patch binary with mingw32.  I saw this error as
a direct result of link/unlink of temporary to existing files.  I
modified the code so that it uses Win32 calls to take care of the
rename/copy.  

If you wish to try my version of patch I can strip and gzip the
executable and attach it to an email.  I have been successful in using
it; at least with context diffs.

---David Bush <[email-masked]> wrote:
>
> I apologize if this question has come up before.  The gnuwin32 mail
archives
> are not much use on this one because a search for "patch" returns
most of
> the archive.
> 
> I'm trying to apply a large patch for Xemacs to the source tree. 
The patch
> application fails on the first file in the patch with a message like:
> cannot rename /tmp/ps001020 to CHANGES-beta: File exists.
> 
> Is this a know problem and is there a workaround?
> 
> TIA,
> david
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".